package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.common.utils.R;
import com.zcloud.modules.custormerInfo.entity.BusCustomerInfoEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zcloud.modules.custormerInfo.vo.BusCustomerInfoVo;

import java.util.List;
import java.util.Map;

/**
 * @Author makejava
 * @Desc 客户企业信息(BusCustomerInfo)表服务接口
 * @Date 2024-03-29 15:49:50
 */
public interface BusCustomerInfoService extends IService<BusCustomerInfoEntity> {

    BusCustomerInfoEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusCustomerInfoEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**列表(全部)
     * @param pd
     * @throws Exception
     */
    public List<BusCustomerInfoEntity> listAllDoMain(BusCustomerInfoEntity pd)throws Exception;

    /**
     * 通过主键删除数据
     */
    void delete(String customerinfoId,String userId);

    BusCustomerInfoVo getById(String customerinfoId);


    /**
     * 查询课程推送列表企业
     */
    PageUtils getCourseCustomerInfoListPage(Map<String, String> params);

    int getNumber();


    /**
     *客户流量管理-分页查询
     */
    PageUtils trafficListPage(Map<String, String> params);


    R saveCustomerInfo(BusCustomerInfoEntity param);

     List<BusCustomerInfoEntity> listAll(BusCustomerInfoEntity param);


    R updateCustomerInfo(BusCustomerInfoEntity param);
}
